This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1020194 - m4: documentation not browesable with Emacs
m4: documentation not browesable with Emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m4 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 05:09 EDT by Florian Weimer
Modified: 2013-12-03 05:32 EST (History)
2 users (show)

See Also:
Fixed In Version: m4-1.4.16-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:32:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-17 05:09:45 EDT
Description of problem:

For some reason, the Emacs Info browser cannot locate the m4 documentation, although I can see files in /usr/share/info.

I haven't seen this with any other package-provided documentation, so I'll pretend it's m4's fault. :)

Version-Release number of selected component (if applicable):

m4-1.4.16-7.fc19.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Press `C-h i' in Emacs.
2. m4 documentation is not listed.
Comment 1 Tom Tromey 2013-11-08 14:11:22 EST
The files are installed but they are not linked into
/usr/share/info/dir.  Ordinarily this linking is done by install-info.

From m4.spec:

%post                                                                           
if [ -f %{_infodir}/m4.info ]; then # --excludedocs?                            
    /sbin/install-info %{_infodir}/m4.info %{_infodir}/dir || :                 
fi                                                                              
                                                                                
%preun                                                                          
if [ "$1" = 0 ]; then                                                           
    if [ -f %{_infodir}/m4.info ]; then # --excludedocs?                        
        /sbin/install-info --delete %{_infodir}/m4.info %{_infodir}/dir || :    
    fi                                                                          
fi                                                                              


The bug here is that "m4.info" is not installed -- it is compressed
first:

barimba. rpm -qil m4 |fgrep .info
/usr/share/info/m4.info-1.gz
/usr/share/info/m4.info-2.gz
/usr/share/info/m4.info.gz


While you're there... I think the m4.info files aren't so large
that they require splitting.  IMO it's better to install a single
"m4.info.gz".
Comment 2 Fedora Update System 2013-11-12 06:58:35 EST
m4-1.4.16-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/m4-1.4.16-10.fc20
Comment 3 Fedora Update System 2013-11-12 07:06:39 EST
m4-1.4.16-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/m4-1.4.16-8.fc19
Comment 4 Vitezslav Crhonek 2013-11-12 07:14:02 EST
Thanks for the report Florian.

> While you're there... I think the m4.info files aren't so large
> that they require splitting.  IMO it's better to install a single
> "m4.info.gz".

Tom, I don't disagree with you, but the split is done by upstream and I don't want to differ when it's not necessary.
Comment 5 Fedora Update System 2013-11-12 21:31:16 EST
Package m4-1.4.16-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing m4-1.4.16-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21221/m4-1.4.16-8.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-19 16:54:15 EST
m4-1.4.16-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-03 05:32:09 EST
m4-1.4.16-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.